# Class goog.labs.testing.IsNotMatcher

code »

All implemented interfaces:
  `goog.labs.testing.Matcher`

The IsNot matcher.

## Constructor

goog.labs.testing.IsNotMatcher ( matcher )

Parameters

matcher: `!goog.labs.testing.Matcher`
  The matcher to negate.

Show:PublicProtectedPrivate

## Instance Methods

code » describe ( actualValue ) ⇒ `string`

Describes why the matcher failed.

Parameters

actualValue

code » matches ( actualValue ) ⇒ `boolean`

Determines if the input value doesn't satisfy a matcher.

Parameters

actualValue

## Instance Properties

code » matcher_ : `!goog.labs.testing.Matcher`